: Class Status

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mpi
Class Status

    java.lang.Object
      |
      +--mpi.Status

public class Status
extends java.lang.Object

Field Summary
`protected int` | `count`
`protected long` | `handle`
`int` | `index`
`protected int` | `object_count`
`int` | `source`
`int` | `tag`

Constructor Summary
`` | `Status()`
`protected` | `Status(long _handle)`

Method Summary
`void` | `finalize()`
`int` | `Get_count(Datatype datatype)` Get the number of received entries.
`int` | `Get_elements(Datatype datatype)` Retrieve number of basic elements from status.
`boolean` | `Test_cancelled()` Test if communication was cancelled.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    public int index

### source

    public int source

### tag

    public int tag

### count

    protected int count

### object_count

    protected int object_count

### handle

    protected long handle

Constructor Detail

### Status

    public Status()

### Status

    protected Status(long _handle)

Method Detail

### Get_count

    public int Get_count(Datatype datatype)
                  throws MPIException

  Get the number of received entries.

  `datatype` | datatype of each item in receive buffer
  returns: | number of received entries

  Java binding of the MPI operation `MPI_GET_COUNT`.

### Test_cancelled

    public boolean Test_cancelled()
                           throws MPIException

  Test if communication was cancelled.

  returns: | true if the operation was succesfully cancelled, false otherwise

  Java binding of the MPI operation `MPI_TEST_CANCELLED`.

### Get_elements

    public int Get_elements(Datatype datatype)
                     throws MPIException

  Retrieve number of basic elements from status.

  `datatype` | datatype used by receive operation
  returns: | number of received basic elements

  Java binding of the MPI operation `MPI_GET_ELEMENTS`.

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD